From ce1e8ad4a303526026e56822a105ed45a19e6572 Mon Sep 17 00:00:00 2001
From: Shengjiu Wang <shengjiu.wang@nxp.com>
Date: Thu, 26 Sep 2019 17:46:04 +0800
Subject: [PATCH] drm: bridge: cadence: Fix return value for set log addr

Fix return value for set log addr with cec

Signed-off-by: Shengjiu Wang <shengjiu.wang@nxp.com>
---
 drivers/gpu/drm/bridge/cadence/cdns-mhdp-cec.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

--- a/drivers/gpu/drm/bridge/cadence/cdns-mhdp-cec.c
+++ b/drivers/gpu/drm/bridge/cadence/cdns-mhdp-cec.c
@@ -183,18 +183,18 @@ static int mhdp_cec_set_logical_addr(str
 
 		if ((la_reg & 0xF) == la) {
 			dev_warn(cec->dev, "Warning. LA already in use.\n");
-			return true;
+			return 0;
 		}
 
 		la = (la & 0xF) | (1 << 4);
 
 		mhdp_cec_write(cec, LOGICAL_ADDRESS_LA0 + (i * REG_ADDR_OFF), la);
-		return true;
+		return 0;
 	}
 
 	dev_warn(cec->dev, "All LA in use\n");
 
-	return false;
+	return -EINVAL;
 }
 
 static int mhdp_cec_poll_worker(void *_cec)
